=== debian/changelog ===
ghc (7.10.3-7) unstable; urgency=medium

  [ Joachim Breitner ]
  * Tighten build-depends on llvm-3.5, to pull in backported version
  * Tighten build-depends on ghc; this does not build against 7.6 any more, so
    let's use the 7.8 already in backports.

  [ Colin Watson ]
  * Run /usr/lib/ghc-doc/gen_contents_index from ghc-doc.postinst with HOME
    set to a temporary directory, so that it doesn't pick up stray user
    configuration and so that it works reliably in autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Jan 2016 15:58:13 +0000

ghc (7.10.3-6) unstable; urgency=medium

  * Let GHC break cabal-install (<< 1.22), due to
    "ghc no longer supports single-file style package databases"

 -- Joachim Breitner <nomeata@debian.org>  Tue, 12 Jan 2016 10:37:19 +0100

ghc (7.10.3-5) unstable; urgency=medium

  * ghc-doc Breaks/Replaces libghc-terminfo-doc (<< 0.3.2.5-4),
    libghc-transformers-doc (<< 0.3.0.0-6), libghc-xhtml-doc (<<
    3000.2.1-5), now that these are all shipped with ghc (closes: #800423).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Jan 2016 10:22:34 +0000

ghc (7.10.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/armel-revert-ghci-fixes.patch which reverts
    the ARM ghci fixes, but apply the patch on armel only with
    the help of the debian/rules file (Closes: #807020).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 20 Dec 2015 17:01:39 +0100

ghc (7.10.3-4) unstable; urgency=medium

  [ Colin Watson ]
  * Disable PIE on s390x, since Ubuntu's toolchain defaults to enabling it
    there (closes: #807366).

  [ Joachim Breitner ]
  * Add patch for Sparc64. Again thanks to John Paul Adrian Glaubitz for the
    patch (Closes: #807777).

 -- Joachim Breitner <nomeata@debian.org>  Mon, 14 Dec 2015 09:09:52 +0100

ghc (7.10.3-3) unstable; urgency=medium

  * Platform detection support for sh4 (Closes: #807108). Thanks to John Paul
    Adrian Glaubitz for the patch.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Dec 2015 14:00:32 +0100

ghc (7.10.3-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

ghc (7.10.3-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 10:38:40 -0500

ghc (7.10.2.20151030-3) experimental; urgency=medium

  * Apply a patch by Peter Trommler to fix
    "PPC.Ppr: Shift by 32 bits is not allowed." on powerpc

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Nov 2015 18:58:11 +0100

ghc (7.10.2.20151030-2) experimental; urgency=medium

  * Patch Cabal to provide --show-detail=direct, mostly to work around
    problems with `setup test` on architectures with insufficient threading
    support in GHC: https://github.com/haskell/cabal/issues/2398

 -- Joachim Breitner <nomeata@debian.org>  Thu, 05 Nov 2015 12:38:32 +0100

ghc (7.10.2.20151030-1) experimental; urgency=medium

  * New upstream release (7.10.3-rc1)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Nov 2015 17:44:43 +0100

ghc (7.10.2-2) experimental; urgency=medium

  * Backport patch to fix GHC bug #10549, to unbreak shake’s test suite

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Aug 2015 15:05:54 +0200

ghc (7.10.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 22 Jul 2015 11:17:24 +0200

ghc (7.10.1.20150630-2) experimental; urgency=medium

  * Remove PPC-relocations.patch

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Jul 2015 10:06:16 +0200

ghc (7.10.1.20150630-1) experimental; urgency=medium

  [ Joachim Breitner ]
  * New upstream release candidate, 7.10.2-rc2
  * Clean up debian/control a bit, based on a patch by Gianfranco

  [ Gianfranco Costamagna ]
  * Bump std version
  * Refactor rules file to use dh

 -- Joachim Breitner <nomeata@debian.org>  Fri, 03 Jul 2015 12:28:07 +0200

ghc (7.10.1.20150612-1) experimental; urgency=medium

  * Calculate haddock interface version using the built haddock, not the
    installed (Thanks to David Fox for noticing).
  * New upstream release randidate (7.10.2-rc1)
  * Merge from unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Jun 2015 09:41:16 +0200

ghc (7.10.1-5) experimental; urgency=medium

  * Merge from unstable (Closes: #785282, #785194 )
  * A lucky guess at making GHC build reproducible, by not putting the process
    id in temporary filenames.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 24 May 2015 10:47:09 +0200

ghc (7.10.1-4) experimental; urgency=medium

  * Fix patch/ghc-7.8.4-3-aarch64.patch; dropped a hunk when upgrading to
    7.10 that I should not have dropped. Thanks Gianfranco Costamagna for
    noticing.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 14 May 2015 23:16:55 +0200

ghc (7.10.1-3) experimental; urgency=medium

  * Apply patch by Sergei Trofimovich to implement load_/store_load_barrier on
    armv6 and older (upstream ticket #10244)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 14 May 2015 09:37:06 +0200

ghc (7.10.1-2) experimental; urgency=medium

  * Build against llvm-3.5 (Closes: 784245) 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 May 2015 11:18:54 +0200

ghc (7.10.1-1) experimental; urgency=medium

  * New upstream release. Optimistically dropping lots of patches, lets see
    what now works out of the box.
  * Ship haddock with ghc, and leave (most) paths as they are. It is easier to
    not fight against the way upstream builds and installs stuff.
  * Remove the hack introduced in 7.2.0 for a clean upgrade from 7.0.3.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 12 May 2015 12:41:40 +0200

ghc (7.8.4-9) unstable; urgency=medium

  * Another stab at making GHC more reproducible: Use a hash of the command
    line instead of the pid when calculating a "random" directory name.


