## ghc 8.0.1

=== libraries/Cabal/Cabal/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-VERSION=1.22.5.0
+VERSION=1.24.0.0
 
 #KIND=devel
 KIND=rc
@@ -14,7 +14,10 @@
 
 # build the library itself
 
-SOURCES=Distribution/*.hs Distribution/Simple/*.hs Distribution/PackageDescription/*.hs Distribution/Simple/GHC/*.hs Distribution/Simple/Build/*.hs Distribution/Compat/*.hs Distribution/Simple/Program/*.hs
+SOURCES=Distribution/*.hs Distribution/Simple/*.hs \
+	Distribution/PackageDescription/*.hs Distribution/Simple/GHC/*.hs \
+	Distribution/Simple/Build/*.hs Distribution/Compat/*.hs \
+	Distribution/Simple/Program/*.hs
 CONFIG_STAMP=dist/setup-config
 BUILD_STAMP=dist/build/libHSCabal-$(VERSION).a
 HADDOCK_STAMP=dist/doc/html/Cabal/index.html
@@ -23,13 +26,12 @@
 DISTLOC=dist/release
 DIST_STAMP=$(DISTLOC)/Cabal-$(VERSION).tar.gz
 
-TMP := $(shell mktemp -d)
-
 COMMA=,
 
 setup: $(SOURCES) Setup.hs
 	-mkdir -p dist/setup
-	$(HC) $(GHCFLAGS) --make -i. -odir dist/setup -hidir dist/setup Setup.hs -o setup
+	$(HC) $(GHCFLAGS) --make -i. -odir dist/setup -hidir dist/setup Setup.hs \
+		-o setup
 
 $(CONFIG_STAMP): setup Cabal.cabal
 	./setup configure --with-compiler=$(HC) --prefix=$(PREFIX)
@@ -60,7 +62,9 @@
 	mkdir -p $(PANDOC_HTML_OUTDIR)
 	for file in $^; do \
 		[ $${file} != doc/index.markdown ] && TOC=--table-of-contents || TOC=; \
-		$(PANDOC) $(PANDOC_OPTIONS) $${TOC} --from=markdown --to=html --output $(PANDOC_HTML_OUTDIR)/$$(basename $${file} .markdown).html $${file}; \
+		$(PANDOC) $(PANDOC_OPTIONS) $${TOC} --from=markdown --to=html \
+			--output $(PANDOC_HTML_OUTDIR)/$$(basename $${file} .markdown).html \
+			$${file}; \
 	done
 	cp doc/$(PANDOC_HTML_CSS) $(PANDOC_HTML_OUTDIR)
 
@@ -113,15 +117,6 @@
 	scp -r $(DISTLOC) $(SSH_USER)@haskell.org:/home/web/haskell.org/cabal/release/cabal-$(VERSION)
 	ssh $(SSH_USER)@haskell.org 'cd /home/web/haskell.org/cabal/release && rm -f $(KIND) && ln -s cabal-$(VERSION) $(KIND)'
 
-release-new: $(DIST_STAMP)
-	@echo "cd cabal/release" > $(TMP)/cabal-sftp-$(VERSION)
-	@echo "-mkdir cabal-$(VERSION)" >> $(TMP)/cabal-sftp-$(VERSION)
-	@echo "cd cabal-$(VERSION)" >> $(TMP)/cabal-sftp-$(VERSION)
-	@echo "lcd $(DISTLOC)" >> $(TMP)/cabal-sftp-$(VERSION)
-	@echo "put -r . ." >> $(TMP)/cabal-sftp-$(VERSION)
-	sftp -b $(TMP)/cabal-sftp-$(VERSION) $(SSH_USER)@wiki.haskell.org
-	@echo "You still need to manually update the 'latest' links"
-
 # tags...
 
 TAGSSRCDIRS = Distribution Language
