=== debian/changelog ===
ghc (8.0.1-17) unstable; urgency=medium

  * Add upstream patch "Add relocation type R_X86_64_REX_GOTPCRELX".

 -- Clint Adams <clint@debian.org>  Fri, 16 Dec 2016 21:44:45 -0500

ghc (8.0.1-16) unstable; urgency=medium

  * Patch to fix SMP support enablement on armhf.

 -- Clint Adams <clint@debian.org>  Wed, 14 Dec 2016 23:10:26 -0500

ghc (8.0.1-15) unstable; urgency=high

  * Add osdecommitmemory-compat.patch (Closes: #847677).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Dec 2016 15:03:42 -0700

ghc (8.0.1-14) unstable; urgency=medium

  * Upload to unstable.

 -- Clint Adams <clint@debian.org>  Mon, 14 Nov 2016 11:35:40 -0500

ghc (8.0.1-13) experimental; urgency=medium

  * Include ghc --info output in build log.
  * PPC/CodeGen: fix lwa instruction generation.   closes: #844323

 -- Clint Adams <clint@debian.org>  Mon, 14 Nov 2016 11:10:09 -0500

ghc (8.0.1-12) experimental; urgency=medium

  * Use upstream patch for '-no-pie'.
    Drop our custom 'opt-pic' and 'no-pie' patches and use one provided by
    the upstream developers.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Fri, 11 Nov 2016 17:45:03 +0200

ghc (8.0.1-11) unstable; urgency=medium

  * Team upload.

  [ John Paul Adrian Glaubitz ]
  * Add patch x32-use-native-x86_64-insn.patch to support
    x32 architecture (Closes: #814657)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Nov 2016 23:31:09 +0100

ghc (8.0.1-10) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Re-enable parallel builds, broken since 7.10.1.20150630-1.

  [ Clint Adams ]
  * Upstream patch c30b179a73d9fd3f6edcdda5e881523cd6edd46a to Cabal,
    fixing incorrect retrieval of ld flags.

 -- Clint Adams <clint@debian.org>  Sun, 06 Nov 2016 15:32:00 -0500

ghc (8.0.1-9) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Add upstream patch to avoid find_tycon panic (Closes: #842679).

  [ Clint Adams ]
  * Patch from James Clarke to prevent unaligned accesses on sparc64.
    closes: #842780.
  * Reduce memory usage when building on mips/mipsel.

 -- Clint Adams <clint@debian.org>  Tue, 01 Nov 2016 11:18:03 -0400

ghc (8.0.1-8) unstable; urgency=medium

  * Upload to unstable to start GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:16 -0400

ghc (8.0.1-7) experimental; urgency=medium

  * Disable PIC on powerpc.

 -- Clint Adams <clint@debian.org>  Tue, 25 Oct 2016 23:56:41 -0400

ghc (8.0.1-6) experimental; urgency=medium

  * Patch GHC to pass `-no-pie' along with `-Wl,-r'.
  * Do not disable PIE during package configuration in d/rules.
    The above patch seems sufficient.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 24 Oct 2016 19:48:26 +0300

ghc (8.0.1-5) experimental; urgency=medium

  * Switch PIC default to on for all architectures.

 -- Clint Adams <clint@debian.org>  Sat, 22 Oct 2016 18:20:02 -0400

ghc (8.0.1-4) experimental; urgency=medium

  [ Balint Reczey ]
  * Disable PIE to fix build when PIE is the default in gcc
    (change taken/revised from Ubuntu, Closes: #712228)

 -- Sven Bartscher <kritzefitz@debian.org>  Thu, 13 Oct 2016 18:49:00 +0200

ghc (8.0.1-3) experimental; urgency=low

  * Removed the empty ghc-dbgsym package.

 -- Sven Bartscher <kritzefitz@debian.org>  Tue, 11 Oct 2016 16:43:21 +0200

ghc (8.0.1-2) experimental; urgency=medium

  [ Joachim Breitner ]
  * Merge from unstable (up to 7.0.3-9)

  [ Matthias Klose ]
  * Disable PIE on amd64 and ppc64el.

  [ Gianfranco Costamagna ]
  * Fix VCS fields

  [ Sven Bartscher ]
  * Depend on haskell-devscripts-minimal instead of duplicating its
    functionality.

 -- Sven Bartscher <kritzefitz@debian.org>  Fri, 05 Aug 2016 16:51:50 +0200

ghc (8.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 21 May 2016 17:03:18 +0200

ghc (8.0.0.20160421-1) experimental; urgency=medium

  * New upstream release candidate (8.0.1-rc4)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 23 Apr 2016 17:56:45 +0200

ghc (8.0.0.20160411-1) experimental; urgency=medium

  * New upstream release candidate (8.0.1-rc3)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 19 Apr 2016 09:11:57 +0200

ghc (8.0.0.20160204-2) experimental; urgency=medium

  * Build-Conflict: Do not bootstrap with ghc-8.0.1-rc1, as this is broken.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 09 Feb 2016 10:05:24 +0100

ghc (8.0.0.20160204-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Re-enable and refresh patches/armel-revert-ghci-fixes.patch on armel.
    - drop a little part on Linker.c, upstreamed.

  [ Joachim Breitner ]
  * New upstream release candidate (8.0.1-rc2)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Feb 2016 12:34:51 +0100

ghc (8.0.0.20160111-3) experimental; urgency=medium

  * Ah, there is llvm-3.7 in Debian. Must have been confused by the LLVM
    packaging... let’s use that.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 18 Jan 2016 09:29:29 +0100

ghc (8.0.0.20160111-2) experimental; urgency=medium

  * Try to see if it builds without
    patches/armel-revert-ghci-fixes.patch on armel.
  * Try to build with LLVM 3.8 (upstream wants 3.7, but that is not in Debian
    any more)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 18 Jan 2016 09:17:25 +0100

ghc (8.0.0.20160111-1) experimental; urgency=medium

  * New upstream release candiate (8.0.1-rc1)
    Dropped patches
    + cabal-show-detail-direct
    + sh4-platform-detection-support
    + parc64-initial-platform-support
  * Configure haddock to use locally provided mathjax files, and let ghc-doc
    depend on libjs-mathjax.
  * Backport upstream patch D1782 to unbreak manpage building
  * Add gpg key ot debian/upstream and use it in debian/watch

 -- Joachim Breitner <nomeata@debian.org>  Thu, 14 Jan 2016 16:16:37 +0100

ghc (7.10.3-10) unstable; urgency=medium

  [ Clint Adams ]
  * Backport upstream 563a4857abcee4a6e43c68323274309c58f42aa0 to use gcc's

