=== debian/rules ===
--- 
+++ 
@@ -34,22 +34,22 @@
 
 GHC=$(firstword $(shell bash -c "type -p ghc"))
 EXTRA_CONFIGURE_FLAGS=--with-ghc="$(GHC)"
-ifeq (s390x,$(DEB_HOST_ARCH))
-  EXTRA_CONFIGURE_FLAGS += \
-	CONF_CC_OPTS_STAGE2=-fno-PIE \
-	CONF_GCC_LINKER_OPTS_STAGE2=-no-pie \
-	CONF_LD_LINKER_OPTS_STAGE2=-no-pie
-endif
+
 BUILD_HADDOCK_DOCS=YES
 DEB_HOOGLE_TXT_DIR = /usr/lib/ghc-doc/hoogle/
 
+ifeq (x32,$(DEB_HOST_ARCH))
+  EXTRA_CONFIGURE_FLAGS += --enable-unregisterised
+endif
+
 %:
-	dh $@ --with autotools-dev
+	dh $@ --parallel --with autotools-dev
 
 override_dh_auto_configure:
 	dh_autoreconf perl -- boot
 	echo "SRC_HC_OPTS += -lffi -optl-pthread" >> mk/build.mk
 	echo "HADDOCK_DOCS := YES" >> mk/build.mk
+	echo "EXTRA_HADDOCK_OPTS += --mathjax=file:///usr/share/javascript/mathjax/MathJax.js" >> mk/build.mk
 	echo "XSLTPROC_OPTS += --nonet" >> mk/build.mk
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm64 armel armhf))
 	echo "SRC_HC_OPTS     += -optl-B/usr/bin/ld.gold" >> mk/build.mk
@@ -60,9 +60,11 @@
 ifeq (armel,$(DEB_HOST_ARCH))
 	patch -p1 < debian/patches/armel-revert-ghci-fixes.patch
 endif
-ifeq (s390x,$(DEB_HOST_ARCH))
-	echo "SRC_CC_OPTS += -fno-PIE" >> mk/build.mk
-	echo "SRC_LD_OPTS += -no-pie" >> mk/build.mk
+ifneq (,$(findstring $(DEB_HOST_ARCH), mips mipsel))
+	echo "SRC_HC_OPTS     += -optc--param -optcggc-min-expand=10" >> mk/build.mk
+endif
+ifeq (x32,$(DEB_HOST_ARCH))
+	echo "INTEGER_LIBRARY = integer-simple" >> mk/build.mk
 endif
 ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 #	echo "GhcStage1HcOpts += -DDEBUG" >> mk/build.mk
@@ -83,7 +85,7 @@
 	# We also want to build the threaded profiling-enabled debug runtime,
 	# because it does no harm
 	echo 'GhcRTSWays += $$(if $$(findstring p, $$(GhcLibWays)),thr_debug_p,)' >> mk/build.mk
-	
+
 	# We can't do this with a configure flag in 6.8.1 as libdir is not
 	# defined at the point at which we := it
 	echo 'ghclibdir := $${libdir}/ghc' >> mk/build.mk
@@ -101,8 +103,8 @@
 	./configure $(confflags) --prefix=/usr \
 		$(EXTRA_CONFIGURE_FLAGS) \
 		--with-system-libffi \
-		--with-llc=llc-3.5 \
-		--with-opt=opt-3.5
+		--with-llc=llc-3.7 \
+		--with-opt=opt-3.7
 
 override_dh_auto_build:
 	dh_auto_build
@@ -117,6 +119,9 @@
 	inplace/bin/ghc-stage2 debian/testghc/foo.hs -o debian/testghc/foo -O2
 	[ "$$(debian/testghc/foo)" = "Foo" ]
 	rm debian/testghc/*
+	@printf "====BEGIN GHC INFO OUTPUT====\n"
+	@inplace/bin/ghc-stage2 --info
+	@printf "====END GHC INFO OUTPUT====\n"
 
 FILES = \( -type f -o -type l \)
 PROF_FILE = \( -name "*.p_*" -o -name "lib*_p.a" \)
@@ -181,9 +186,3 @@
 	    echo ".so man1/ghc.1" > debian/ghci-$(ProjectVersion).1 ;\
 	    cp debian/runghc.man debian/runghc.1 ; fi
 	mv debian/tmp/usr/share/man/man1/ghc.1 debian/ghc.1
-	cp utils/hp2ps/hp2ps.1 debian/hp2ps.1
-	cp debian/ghc-pkg.man debian/ghc-pkg.1
-	echo ".so man1/ghc-pkg.1" > debian/ghc-pkg-$(ProjectVersion).1
-
-	echo debian/*.1 > debian/ghc.manpages
-	cp debian/haddock.man debian/haddock.1
